---
lang: en
title: 'API docs: logging.loggingcomponent.providers'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/logging
permalink: /doc/en/lb4/apidocs.logging.loggingcomponent.providers.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/logging](./logging.md) &gt; [LoggingComponent](./logging.loggingcomponent.md) &gt; [providers](./logging.loggingcomponent.providers.md)

## LoggingComponent.providers property

**Signature:**

```typescript
providers: ProviderMap;
```

